Package tigase.component

## Class ComponenScriptCommandProcessor

- java.lang.Object
- - tigase.component.ComponenScriptCommandProcessor

- All Implemented Interfaces:
    `AdHocCommandModule.ScriptCommandProcessor`

      @Bean(name="scriptCommandProcessor",
            active=true)
      public class ComponenScriptCommandProcessor
      extends java.lang.Object
      implements AdHocCommandModule.ScriptCommandProcessor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ComponenScriptCommandProcessor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<Element>` | `getScriptItems​(java.lang.String node, JID jid, JID from)` |
    `boolean` | `isAllowed​(java.lang.String node, java.lang.String domain, JID from)` |
    `boolean` | `isAllowed​(java.lang.String node, JID from)` |
    `boolean` | `processScriptCommand​(Packet pc, java.util.Queue<Packet> results)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponenScriptCommandProcessor

          public ComponenScriptCommandProcessor()

  - ### Method Detail

    - #### getScriptItems

          public java.util.List<Element> getScriptItems​(java.lang.String node,
                                                        JID jid,
                                                        JID from)

      Specified by:
        `getScriptItems` in interface `AdHocCommandModule.ScriptCommandProcessor`

    - #### processScriptCommand

          public boolean processScriptCommand​(Packet pc,
                                              java.util.Queue<Packet> results)

      Specified by:
        `processScriptCommand` in interface `AdHocCommandModule.ScriptCommandProcessor`

    - #### isAllowed

          public boolean isAllowed​(java.lang.String node,
                                   JID from)

      Specified by:
        `isAllowed` in interface `AdHocCommandModule.ScriptCommandProcessor`

    - #### isAllowed

          public boolean isAllowed​(java.lang.String node,
                                   java.lang.String domain,
                                   JID from)

      Specified by:
        `isAllowed` in interface `AdHocCommandModule.ScriptCommandProcessor`